'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  var t = _ref.types;

  var isWhiteLabel = currentBuild !== _majora.defaultPackage;

  return {
    name: "babel-codemod-majorajs", // not required
    visitor: {
      ImportDeclaration: function ImportDeclaration(path, state) {
        var isAlreadySwapped = path.node.source.value.includes('.whitelabel');

        if (!isWhiteLabel || isAlreadySwapped) {
          return;
        }

        if (!path.node.specifiers.length) {
          return;
        }

        var name = path.node.specifiers[0].local.name;


        var isIdentifierInList = !!components.find(function (_ref2) {
          var identifier = _ref2.identifier;
          return identifier === name;
        });

        if (isIdentifierInList) {
          path.replaceWith(t.importDeclaration([t.importDefaultSpecifier(t.identifier(path.node.specifiers[0].local.name))], t.stringLiteral(path.node.source.value + ".whitelabel")));
        }
      }
    }
  };
};

var _majora = require('../../../.majora.js');

var _require = require('../../../majora.lock.json'),
    components = _require.components,
    currentBuild = _require.currentBuild;